# H248_IndAudStatisticsDescriptor Class Reference

`#include <h248.h>`

Inheritance diagram for H248_IndAudStatisticsDescriptor:

List of all members.

## Public Member Functions

| H248_IndAudStatisticsDescriptor (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_PkgdName | m_statName

## Constructor & Destructor Documentation

H248_IndAudStatisticsDescriptor::H248_IndAudStatisticsDescriptor | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_IndAudStatisticsDescriptor::GetDataLength | ( |  | ) | const

PBoolean H248_IndAudStatisticsDescriptor::Decode | ( | PASN_Stream & | strm | ) |

void H248_IndAudStatisticsDescriptor::Encode | ( | PASN_Stream & | strm | ) | const

void H248_IndAudStatisticsDescriptor::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_IndAudStatisticsDescriptor::Compare | ( | const PObject & | obj | ) | const

PObject* H248_IndAudStatisticsDescriptor::Clone | ( |  | ) | const

## Member Data Documentation

H248_PkgdName H248_IndAudStatisticsDescriptor::m_statName

The documentation for this class was generated from the following file:

- h248.h